Zum Inhalt

Bereitstellung / Anforderungen

Im folgenden wird die technische Integration der IOMbLibrary in eine iOS Projekt-Struktur beschrieben.

Bereitstellung

Die IOMbLib iOS wird als XCFramework bereitgestellt und lässt sich über verschiedene Wege in ein iOS App Projekt integrieren:

  1. Manuell (s. manuelle Integration)
  2. CocoaPods (s. Integration via CocoaPods)
  3. Swift Package Manager (s. Integration via Swift Package Manager)

Alle Wege der Integration sind gleichwertig und ohne funktionalen Unterschied.

Anforderungen

Die IOMbLib iOS unterstützt ausschließlich die Integration über die Entwicklungsumgebung Xcode unter macOS.

Entwicklungsumgebung

  • macOS 11 (Big Sur) und höher
  • iOS SDK 14 und höher
  • Xcode 12.5 oder höher
  • Objective-C oder Swift

iOS APPs, welche die IOMb Lib iOS benutzen, müssen mind. mit iOS SDK 14 kompiliert werden.

Deployment Target muss mind. auf iOS 11.0 eingestellt werden.

Betriebssystem/Plattform

Die IOMb Lib iOS unterstützt den Betrieb unter 32-Bit und 64-Bit Architekturen. Die IOMb Lib iOS setzt für den Betrieb iOS 11.0 oder höher voraus.

Kompatibilität

Eine neue Version von Xcode bzw. des iOS-Betriebssystems macht evtl. ein Update der IOMb Lib iOS notwendig. Eine vollständige Aufwärtskompatibilität kann u.U. nicht gewährleistet werden.


Letztes Update: February 11, 2022